PriorityDecorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.PriorityDecorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class PriorityDecorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator
          org.hyperic.hq.ui.taglib.display.ColumnDecorator
              org.hyperic.hq.ui.taglib.display.BaseDecorator
                  org.hyperic.hq.ui.taglib.display.PriorityDecorator

All Implemented Interfaces:
  java.lang.Cloneable, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PriorityDecorator

extends BaseDecorator

usage In the properties file, have these keys present: application.properties.key.prefix.Low=Low application.properties.key.prefix.High=High application.properties.key.prefix.Medium=Medium

Field Summary
`protected java.lang.String` | `bundle`
`protected java.lang.String` | `flagKey`
`protected java.lang.String` | `locale`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PriorityDecorator()`

Method Summary
`java.lang.String` | `decorate(java.lang.Object columnValue)` The main method to override here.
`void` | `release()`
`void` | `setFlagKey(java.lang.String theFlagKey)` Sets the message prefix that respresents a boolean result

Methods inherited from class org.hyperic.hq.ui.taglib.display.BaseDecorator
`doEndTag, doStartTag, generateErrorComment, getName, getParent, setName, setParent`

Methods inherited from class org.hyperic.hq.ui.taglib.display.Decorator
`finish, finishRow, getList, getListIndex, getObject, getPageContext, getViewIndex, init, initRow, setPageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`setPageContext`

Field Detail

### flagKey

    protected java.lang.String flagKey

### bundle

    protected java.lang.String bundle

### locale

    protected java.lang.String locale

Constructor Detail

### PriorityDecorator

    public PriorityDecorator()

Method Detail

### setFlagKey

    public void setFlagKey(java.lang.String theFlagKey)

  Sets the message prefix that respresents a boolean result

  Parameters:
    `theFlagKey` - a String that will have "true" or "false" appended to it to look up in the application properties

### decorate

    public java.lang.String decorate(java.lang.Object columnValue)

  Description copied from class: `BaseDecorator`
  The main method to override here. This should look something like this: `String name = null; try { name = (String) evalAttr("name", this.name, String.class); } catch (NullAttributeException ne) { log.debug("bean " + this.name + " not found"); return ""; } catch (JspException je) { log.debug("can't evaluate name [" + this.name + "]: ", je); return ""; } StringBuffer buf = new StringBuffer(1024); buf.append(""); buf.append(obj.toString()); buf.append(""); return buf.toString()`

  Specified by:
    `decorate` in class `BaseDecorator`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseDecorator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.